MSER (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.features2d

## Class MSER

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features2d.Feature2D
    - - org.opencv.features2d.MSER

-     public class MSER
      extends Feature2D

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MSER(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MSER` | `__fromPtr__(long addr)`
    `static MSER` | `create()`
    `static MSER` | `create(int _delta, int _min_area, int _max_area, double _max_variation, double _min_diversity, int _max_evolution, double _area_threshold, double _min_margin, int _edge_blur_size)`
    `void` | `detectRegions(Mat image, java.util.List<MatOfPoint> msers, MatOfRect bboxes)`
    `protected void` | `finalize()`
    `java.lang.String` | `getDefaultName()`
    `int` | `getDelta()`
    `int` | `getMaxArea()`
    `int` | `getMinArea()`
    `boolean` | `getPass2Only()`
    `void` | `setDelta(int delta)`
    `void` | `setMaxArea(int maxArea)`
    `void` | `setMinArea(int minArea)`
    `void` | `setPass2Only(boolean f)`

    - ### Methods inherited from class org.opencv.features2d.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MSER

          protected MSER(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static MSER __fromPtr__(long addr)

    - #### create

          public static MSER create(int _delta,
                                    int _min_area,
                                    int _max_area,
                                    double _max_variation,
                                    double _min_diversity,
                                    int _max_evolution,
                                    double _area_threshold,
                                    double _min_margin,
                                    int _edge_blur_size)

    - #### create

          public static MSER create()

    - #### getDefaultName

          public java.lang.String getDefaultName()

      Overrides:
        `getDefaultName` in class `Feature2D`

    - #### getPass2Only

          public boolean getPass2Only()

    - #### getDelta

          public int getDelta()

    - #### getMaxArea

          public int getMaxArea()

    - #### getMinArea

          public int getMinArea()

    - #### detectRegions

          public void detectRegions(Mat image,
                                    java.util.List<MatOfPoint> msers,
                                    MatOfRect bboxes)

    - #### setDelta

          public void setDelta(int delta)

    - #### setMaxArea

          public void setMaxArea(int maxArea)

    - #### setMinArea

          public void setMinArea(int minArea)

    - #### setPass2Only

          public void setPass2Only(boolean f)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown